Subject: Re: bug#26302: [website] translations

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Wed, 6 Nov 2019 19:30:15 +0100

On Wed, Nov 06, 2019 at 03:56:48PM +0100, Ludovic Courtès wrote:
> I don’t feel strongly about it, but to me, this is a discussion and thus
> not quite in line with the style of this section as a reference of ‘guix
> build’ options.
> 
> As far as the discussion goes :-), I’d argue that the Corresponding
> Source in the spirit of the GPL is the derivation rather than what
> ‘--sources’ returns, since the Corresponding Source should include
> “build scripts”.  I would argue that only functional package managers
> are able to support such a strong notion of Corresponding Source.
> 
> Long story short: the discussion is not clear-cut and I’m not sure it
> belongs here.  :-)
> 
> Thoughts?
> 
> Thanks,
> Ludo’.

Well said.  You convinced me not to make a recommendation.  Thank you.
I still was surprised about `guix build -S` so I attach a new
proposal.

Regards,
Florian
>From c9f7b2739392e0d8cf2afa6b2179b2e138c49bc7 Mon Sep 17 00:00:00 2001
From: Florian Pelz <[email-masked]>
Date: Wed, 6 Nov 2019 19:28:57 +0100
Subject: [PATCH] doc: Add clarification on the '--source' build option.

Emphasize that what the '--source' build option downloads is insufficient for
reproducing the packages.

* doc/guix.texi (Additional Build Options): Explain more.
---
 doc/guix.texi | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/doc/guix.texi b/doc/guix.texi
index 30706d9ddd..58b8e41ab4 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -8336,6 +8336,11 @@ The returned source tarball is the result of applying any patches and
 code snippets specified in the package @code{origin} (@pxref{Defining
 Packages}).
 
+Note that @command{guix build -S} compiles the sources only of the
+specified packages.  They do not include the sources of statically
+linked dependencies and by themselves are insufficient for reproducing
+the packages.
+
 @item --sources
 Fetch and return the source of @var{package-or-derivation} and all their
 dependencies, recursively.  This is a handy way to obtain a local copy
-- 
2.23.0